X2Go Bug report logs - #817
x2goserver from x2go ppa doesn't install due to unmet dependencies

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Luís Filipe Lucas <luisfrlucas@gmail.com>

Date: Sat, 14 Mar 2015 12:35:02 UTC

Severity: normal

Merged with 815, 816

Found in version 3.5.0.29

Fixed in version 3.5.0.30

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#817; Package x2goserver. (Sat, 14 Mar 2015 12:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Luís Filipe Lucas <luisfrlucas@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 14 Mar 2015 12:35:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Luís Filipe Lucas <luisfrlucas@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goserver from x2go ppa doesn't install due to unmet dependencies
Date: Sat, 14 Mar 2015 12:33:14 +0000
[Message part 1 (text/plain, inline)]
Package: x2goserver


When I try to install x2goserver from x2go ppa on my ubuntu trusty
machine it fails:


# apt-get install x2goserver
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
x2goserver : Depends: x2goagent (>= 2:3.5.0.25-0~) but it is not going to
be installed
E: Unable to correct problems, you have held broken packages.


# apt-get install x2goagent
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
x2goagent : Depends: nxagent (>= 2:3.5.0.29-0~592~ubuntu14.04.1)
            Depends: nxagent (< 2:3.5.0.29-0~592~ubuntu14.04.1.1)
E: Unable to correct problems, you have held broken packages.


It seems that the recent upgrade of nx-libs on ppa to 3.5.0.29 version is
the root of the problem.

I am using Ubuntu 14.04.2 LTS, kernel 3.13.0-43-generic

Best regards

Luis Lucas
[Message part 2 (text/html, inline)]

Bug reassigned from package 'x2goserver' to 'nx-libs'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.29. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Marked as fixed in versions 3.5.0.30. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 815-submit@bugs.x2go.org. (Mon, 16 Mar 2015 07:25:03 GMT) (full text, mbox, link).


Notification sent to Luís Filipe Lucas <luisfrlucas@gmail.com>:
Bug acknowledged by developer. (Mon, 16 Mar 2015 07:25:03 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:01 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:01 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:02 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 14 Apr 2015 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 8 18:19:20 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.